module.exports = {
	presets: ['module:metro-react-native-babel-preset'],
	plugins: [
		[
			'module-resolver',
			{
				root: ['.'],
				alias: {
					'@/utils': './src/utils',
					'@/styles': './src/styles',
					'@/actions': './src/actions',
					'@/components': './src/components',
					'@/services': './src/services',
					'@/pages': './src/pages',
					'@/storage': './src/storage',
					'@/netWork': './src/netWork',
					'@/static/*': ['src/static'],
				},
			},
		],
		[
			'babel-plugin-inline-import',
			{
				extensions: ['.svg'],
			},
		],
	],
};
