/* eslint-disable react-native/no-inline-styles */
import React, {Component} from 'react';
import {View, Text, DeviceEventEmitter, Button} from 'react-native';
// import EventEmitter from 'react-native-eventemitter';

interface Props {
	route: any;
}
class Redpack extends Component<Props> {
	favoriteTweet = () => {
		const idArray = this.props.route.params.tweet_Id.split('');
		console.log(idArray);
		const len = idArray.length;
		const idArray1 = idArray.splice(0, Math.floor(len / 2));
		DeviceEventEmitter.emit('FavoriteTweet', {
			id1: idArray1.join(''),
			id2: idArray.join(''),
		});
	};
	componentDidMount() {
		// this.TwitterLikeAPI();
	}
	render() {
		return (
			<View style={{flex: 1}}>
				<Text>redpack page: {this.props.route.params.tweet_Id}</Text>
				<Button
					onPress={this.favoriteTweet}
					title="FavoriteTweet"
					color="#841584"
					accessibilityLabel="FavoriteTweet when click"
				/>
			</View>
		);
	}
}
export default Redpack;
