const addDom = () => {
	window.parseAllDeNetCard = () => {
		let de_net_card = [];
		try {
			let arr_article = document.querySelectorAll('article') || [];
			let _txt;
			for (let i in arr_article) {
				_txt = arr_article[i].innerText || '';
				if (_txt.includes('#DeNet') || _txt.includes('#DNFT')) {
					de_net_card.push({
						time: new Date().getTime(),
						dom: arr_article[i],
					});
				}
			}
		} catch (error) {
			console.log(error);
		}
		return de_net_card;
	};
	window.parseCardParmas = dom_card => {
		let tweet_Id = '';
		let short_url = '';
		let a_arr = dom_card.querySelectorAll('a') || [];
		a_arr = Array.from(a_arr).reverse();
		for (let i in a_arr) {
			// 获取推特id
			if (
				a_arr[i].href &&
				a_arr[i].href.indexOf('/status/') > 0 &&
				!tweet_Id
			) {
				tweet_Id = a_arr[i].href.split('/status/')[1] || '';
				tweet_Id = tweet_Id.split('/')[0];
			}
			if (
				a_arr[i].href &&
				a_arr[i].href.includes('https://t.co') &&
				!short_url
			) {
				short_url = a_arr[i].href;
			}
			if (tweet_Id && short_url) {
				break;
			}
		}
		return {tweet_Id, short_url, dom_card};
	};
	window.parseAllDeNetCardParmas = () => {
		let json_data = [];
		window.parseAllDeNetCard().forEach(item => {
			let _obj = window.parseCardParmas(item.dom);
			if (_obj.tweet_Id && _obj.short_url && _obj.dom_card) {
				_obj.time = item.time;
				json_data.push(_obj);
			}
		});
		return json_data;
	};
	window.toRedpackPage = ({post_Id, tweet_Id}) => {
		window.ReactNativeWebView.postMessage(
			JSON.stringify({
				post_Id,
				tweet_Id,
				ct0: window.getCookie('ct0'),
			}),
		);
		window.event.stopPropagation();
		// window.location.href = 'denet://redpack';
	};
	window.getCookie = name => {
		var strcookie = document.cookie; //获取cookie字符串
		var arrcookie = strcookie.split('; '); //分割
		//遍历匹配
		for (var i = 0; i < arrcookie.length; i++) {
			var arr = arrcookie[i].split('=');
			if (arr[0] == name) {
				return arr[1];
			}
		}
		return '';
	};

	window.TwitterLikeAPI = (id1, id2) => {
		alert(`${id1}${id2}`);
		fetch(
			'https://mobile.twitter.com/i/api/graphql/lI07N6Otwv1PhnEgXILM7A/FavoriteTweet',
			{
				headers: {
					accept: '*/*',
					'accept-language': 'zh-CN,zh;q=0.9',
					authorization:
						'Bearer AAAAAAAAAAAAAAAAAAAAANRILgAAAAAAnNwIzUejRCOuH5E6I8xnZz4puTs%3D1Zv7ttfk8LF81IUq16cHjhLTvJu4FA33AGWWjCpTnA',
					'cache-control': 'no-cache',
					'content-type': 'application/json',
					pragma: 'no-cache',
					'sec-fetch-dest': 'document',
					'sec-fetch-mode': 'cors',
					'sec-fetch-site': 'same-origin',
					'x-csrf-token': window.getCookie('ct0'),
					'x-twitter-active-user': 'yes',
					'x-twitter-auth-type': 'OAuth2Session',
					'x-twitter-client-language': 'zh-cn',
				},
				referrer:
					'https://mobile.twitter.com/laoghaire99/status/1559470845076000769',
				referrerPolicy: 'strict-origin-when-cross-origin',
				body: `{"variables":{"tweet_id":"${id1}${id2}"},"queryId":"lI07N6Otwv1PhnEgXILM7A"}`,
				method: 'POST',
				mode: 'cors',
				credentials: 'include',
			},
		)
			.then(res => {
				console.log(res);
				alert('success');
			})
			.catch(e => {
				// alert(window.getCookie('ct0'))
				// alert(e);
			});
	};
	function replaceDOMRedPacket({
		dom_card,
		tweet_Id,
		post_Id,
		time,
		short_url,
		page_type = '',
	}) {
		if (!dom_card || !dom_card.parentElement) {
			return;
		}
		let type;
		let dom = dom_card.querySelector('div[aria-labelledby]');
		if (dom) {
			type = 'card';
			for (let i = 0; i < dom.childNodes.length; i++) {
				if (
					dom.childNodes[i].dataset &&
					dom.childNodes[i].dataset.testid &&
					dom.childNodes[i].dataset.testid == 'card.wrapper'
				) {
					dom.children[i].style.display = 'none';
				}
			}
		} else {
			type = 'txt';
			dom = dom_card.querySelector('div[lang][dir=auto]').parentElement;
		}

		// dom.style = 'min-height:500px';
		if (dom) {
			// debugger mode
			let div = document.createElement('div');
			div.addEventListener('click', () => {
				window.toRedpackPage({post_Id, tweet_Id});
			});
			div.id = 'denet-card';
			div.style.color = 'red';
			div.innerHTML = `
				<h2>这里是自定义插入的内容</h2>
                tweet_Id:${tweet_Id} , 
                post_Id:${post_Id}
                获取dom时间:${time}
                短链接：${short_url}<img onclick="toRedpackPage()" src="https://pbs.twimg.com/card_img/1559498011880804353/yV6kTKyQ?format=jpg&name=small" style="width: 100%"/>
                渲染时长:${(new Date().getTime() - time) / 1000}s
                `;
			dom.appendChild(div);
			// window.TwitterLikeAPI(1559235463868710917);

			// dom.appendChild(this.createIframe({post_Id, tweet_Id, page_type}));
		}
	}
	try {
		let timer = setInterval(() => {
			let card_json_data = window.parseAllDeNetCardParmas();
			if (card_json_data.length) {
				clearInterval(timer);
				for (let i = 0; i < card_json_data.length; i++) {
					replaceDOMRedPacket(card_json_data[i]);
				}
			}
		}, 1000);

		// let contain = document.getElementsByTagName('body')[0];
		// let iframe = document.createElement('iframe');
		// iframe.setAttribute('id', 'elonmusk');
		// iframe.setAttribute('src', 'https://denet.me');
		// iframe.setAttribute(
		// 	'style',
		// 	'width:375px;min-height:50px; position: fixed; left: 0;top:100px;z-index:1000',
		// );
		// contain.appendChild(iframe);
	} catch (error) {
		console.log(error);
	}
};

const TwitterLikeAPI = tweet_Id => {
	alert(tweet_Id);
	fetch(
		'https://mobile.twitter.com/i/api/graphql/lI07N6Otwv1PhnEgXILM7A/FavoriteTweet',
		{
			headers: {
				accept: '*/*',
				'accept-language': 'zh-CN,zh;q=0.9',
				authorization:
					'Bearer AAAAAAAAAAAAAAAAAAAAANRILgAAAAAAnNwIzUejRCOuH5E6I8xnZz4puTs%3D1Zv7ttfk8LF81IUq16cHjhLTvJu4FA33AGWWjCpTnA',
				'cache-control': 'no-cache',
				'content-type': 'application/json',
				pragma: 'no-cache',
				'sec-fetch-dest': 'document',
				'sec-fetch-mode': 'cors',
				'sec-fetch-site': 'same-origin',
				'x-csrf-token': window.getCookie('ct0'),
				'x-twitter-active-user': 'yes',
				'x-twitter-auth-type': 'OAuth2Session',
				'x-twitter-client-language': 'zh-cn',
			},
			referrer: 'https://mobile.twitter.com',
			referrerPolicy: 'strict-origin-when-cross-origin',
			body: `{"variables":{"tweet_id":"
				${tweet_Id}
				"},"queryId":"lI07N6Otwv1PhnEgXILM7A"}`,
			method: 'POST',
			mode: 'cors',
			credentials: 'include',
		},
	)
		.then(res => {
			console.log(res);
			alert(JSON.stringify(res));
		})
		.catch(e => {
			// alert(window.getCookie('ct0'))
			// alert(e);
		});
};

export {addDom, TwitterLikeAPI};
